OpenVDB: LeafManager< TreeT >::LeafRange::Iterator Class Reference

OpenVDB 9.0.0

Public Member Functions | List of all members
LeafManager< TreeT >::LeafRange::Iterator Class Reference

`#include <openvdb/tree/LeafManager.h>`

## Public Member Functions
| Iterator (const LeafRange &range, size_t pos)
| Iterator (const Iterator &)=default
Iterator & | operator= (const Iterator &)=default
Iterator & | operator++ ()
| Advance to the next leaf node. More...
LeafType & | operator* () const
| Return a reference to the leaf node to which this iterator is pointing. More...
LeafType * | operator-> () const
| Return a pointer to the leaf node to which this iterator is pointing. More...
BufferType & | buffer (size_t bufferIdx)
| Return the nth buffer for the leaf node to which this iterator is pointing, where n = bufferIdx and n = 0 corresponds to the leaf node's own buffer. More...
size_t | pos () const
| Return the index into the leaf array of the current leaf node. More...
bool | isValid () const
| Return `true` if the position of this iterator is in a valid range. More...
bool | test () const
| Return `true` if this iterator is not yet exhausted. More...
| operator bool () const
| Return `true` if this iterator is not yet exhausted. More...
bool | empty () const
| Return `true` if this iterator is exhausted. More...
bool | operator!= (const Iterator &other) const
bool | operator== (const Iterator &other) const
const LeafRange & | leafRange () const

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

Iterator | ( | const LeafRange & | range,
|  | size_t | pos
| ) |  |
| inline

## ◆ Iterator() [2/2]

Iterator | ( | const Iterator & |  | ) |
| default

## Member Function Documentation

## ◆ buffer()

BufferType & buffer | ( | size_t | bufferIdx | ) |
| inline

Return the nth buffer for the leaf node to which this iterator is pointing, where n = bufferIdx and n = 0 corresponds to the leaf node's own buffer.

## ◆ empty()

bool empty | ( |  | ) | const
| inline

Return `true` if this iterator is exhausted.

## ◆ isValid()

bool isValid | ( |  | ) | const
| inline

Return `true` if the position of this iterator is in a valid range.

## ◆ leafRange()

const LeafRange & leafRange | ( |  | ) | const
| inline

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.

## ◆ operator!=()

bool operator!= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator*()

LeafType & operator* | ( |  | ) | const
| inline

Return a reference to the leaf node to which this iterator is pointing.

## ◆ operator++()

Iterator & operator++ | ( |  | ) |
| inline

Advance to the next leaf node.

## ◆ operator->()

LeafType * operator-> | ( |  | ) | const
| inline

Return a pointer to the leaf node to which this iterator is pointing.

## ◆ operator=()

Iterator & operator= | ( | const Iterator & |  | ) |
| default

## ◆ operator==()

bool operator== | ( | const Iterator & | other | ) | const
| inline

## ◆ pos()

size_t pos | ( |  | ) | const
| inline

Return the index into the leaf array of the current leaf node.

## ◆ test()

bool test | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.